Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class AccessLogConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.AccessLogConfigKeys

public final class AccessLogConfigKeys
extends java.lang.Object

Keys for use with `HTTPServiceConfig.createAccessLogConfig(java.util.Map)`. All Map values associated with a key are of class java.lang.String unless otherwise documented.

Field Summary
`static java.lang.String` | `FORMAT_KEY`
`static java.lang.String` | `ROTATION_ENABLED_KEY`
`static java.lang.String` | `ROTATION_INTERVAL_IN_MINUTES_KEY`
`static java.lang.String` | `ROTATION_POLICY_KEY` Value is of class java.lang.String.
`static java.lang.String` | `ROTATION_SIZE_LIMIT_IN_BYTES_KEY`
`static java.lang.String` | `ROTATION_SUFFIX_KEY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_KEY

    public static final java.lang.String FORMAT_KEY

See Also:
  Constant Field Values

### ROTATION_POLICY_KEY

    public static final java.lang.String ROTATION_POLICY_KEY

  Value is of class java.lang.String. See `AccessLogConfig.setRotationPolicy(java.lang.String)`

  See Also:
    Constant Field Values

### ROTATION_SUFFIX_KEY

    public static final java.lang.String ROTATION_SUFFIX_KEY

See Also:
  Constant Field Values

### ROTATION_ENABLED_KEY

    public static final java.lang.String ROTATION_ENABLED_KEY

See Also:
  Constant Field Values

### ROTATION_INTERVAL_IN_MINUTES_KEY

    public static final java.lang.String ROTATION_INTERVAL_IN_MINUTES_KEY

See Also:
  Constant Field Values

### ROTATION_SIZE_LIMIT_IN_BYTES_KEY

    public static final java.lang.String ROTATION_SIZE_LIMIT_IN_BYTES_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.